####
# Example of what CKEditor can all bring
###

# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }
  - { resource: "EXT:drk_template/Configuration/Yaml/CKEditor/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    # can be "default", but a custom stylesSet can be defined here, which fits TYPO3 best
    contentsCss: [ "EXT:rte_ckeditor/Resources/Public/Css/contents.css", "EXT:drk_template/Resources/Public/StyleSheets/Backend/CKEditor/ckeditor.min.css" ]
    stylesSet:
      # Buttons
      - { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_facts_tiles.xlf:label.span.red", element: "span", attributes: { 'class': 'facts__red' } }

    format_paragraph: { name: "LLL:EXT:drk_template/Resources/Private/Language/locallang_be_rte.xlf:label.format.paragraph", element: 'p', attributes: { 'class': 'p' } }
    format_tags: "paragraph"

    toolbarGroups:
      - { name: styles }
      - { name: basicstyles, groups: [ basicstyles, align, cleanup ] }
      - { name: clipboard, groups: [ clipboard, undo ] }
      - { name: editing, groups: [ find, selection, spellchecker ] }
      - { name: tools }
      - { name: document, groups: [ mode, document, doctools ] }
      - { name: others }

      # Should always only be allowed inside tables
      # justifyClasses:
      # - text-left
      # - text-center
      # - text-right
      # - text-justify

    extraPlugins:
      # Should always only be allowed inside tables
      # - justify
      - find
      - bidi

    removePlugins:
      - image

    removeButtons:
      - Anchor
      - Underline
      - Strike
      # - Styles
      - Link
      - Unlink
      - NumberedList
      - BulletedList
      - Superscript
      - Subscript
      - Bold
      - Format
      - Italic
      - Blockquote
      - Cut
      - Copy
      - Scayt
      - HorizontalRule
      - Source
      # - Maximize
      - SpecialChar
      - Table
      - JustifyLeft # Should always only be allowed inside tables
      - JustifyCenter # Should always only be allowed inside tables
      - JustifyRight # Should always only be allowed inside tables
      - JustifyBlock # Should always only be allowed inside tables
      - Outdent
      - Indent
      - BidiLtr
      - BidiRtl

# Allow s and u tag
processing:
  allowTags:
    - s
    - u
